<?php

/*
  Plugin Name: Wyszukiwarka domen - widget
  Plugin URI: https://www.domeny.tv/partner/kody
  Description: Widget wyszukiwarki domen na serwisie Domeny.tv
  Author: MSERWIS.pl
  Version: 1.2
  Author URI: https://mserwis.pl
 */

class Domeny_Widget extends WP_Widget
{

    /**
     * Register widget with WordPress.
     */
    public function __construct()
    {
        parent::__construct(
            'Domeny_Widget', // Base ID
            'Wyszukiwarka domen', // Name
            array('description' => __('Widget wyszukiwarki domen na serwisie Domeny.tv', 'text_domain')) // Args
        );
    }

    /**
     * Front-end display of widget.
     *
     * @see WP_Widget::widget()
     *
     * @param array $args     Widget arguments.
     * @param array $instance Saved values from database.
     */
    public function widget($args, $instance)
    {
        // extract( $args );
        $title = apply_filters('widget_title', $instance['title']);
        $description = isset($instance['description']) ? $instance['description'] : '';
        $partner = isset($instance['partner']) ? $instance['partner'] : '';
        $newtab = isset($instance['newtab']) ? $instance['newtab'] : 0;

        echo $args['before_widget'];
        echo $args['before_title'] . $title .  $args['after_title'];
        ?>

        <form method="get" action="https://www.domeny.tv/wyszukiwarka/" <?php echo $newtab ? 'target="_blank"' : ''  ?>>
            <div>
                <input type="text" name="domain" value="" style="width:190px;" data-hint="np. example.com" />
                <input type="submit" value="Sprawdź" style="margin-top:10px;background-color:#0045a1;border-radius:5px;" />
                <input type="hidden" name="nonsite" value="1" />
                <input type="hidden" name="ref" value="<?php echo $partner; ?>" />
            </div>
        </form>

        <?php

        if (!empty($description)) echo '<p>' . $description . '</p>';

        echo $args['after_widget'];
    }

    /**
     * Sanitize widget form values as they are saved.
     *
     * @see WP_Widget::update()
     *
     * @param array $new_instance Values just sent to be saved.
     * @param array $old_instance Previously saved values from database.
     *
     * @return array Updated safe values to be saved.
     */
    public function update($new_instance, $old_instance)
    {
        $instance = array();
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['description'] = strip_tags($new_instance['description']);
        $instance['partner'] = strip_tags($new_instance['partner']);
        $instance['newtab'] = strip_tags($new_instance['newtab']);

        return $instance;
    }

    /**
     * Back-end widget form.
     *
     * @see WP_Widget::form()
     *
     * @param array $instance Previously saved values from database.
     */
    public function form($instance)
    {
        $title = isset($instance['title']) ? $instance['title'] : __('Wyszukiwarka domen', 'text_domain');
        $description = isset($instance['description']) ? $instance['description'] : '';
        $partner = isset($instance['partner']) ? $instance['partner'] : '';
        $partner = isset($instance['newtab']) ? $instance['newtab'] : 0;

        ?>
            <p>
                <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label>
                <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
            </p>
            <p>
                <label for="<?php echo $this->get_field_id('description'); ?>">Opis (opcjonalne):</label>
                <input class="widefat" id="<?php echo $this->get_field_id('description'); ?>" name="<?php echo $this->get_field_name('description'); ?>" type="text" value="<?php echo esc_attr($description); ?>" />
            </p>
            <p>
                <label for="<?php echo $this->get_field_id('partner'); ?>">Twoja nazwa użytkownika (opcjonalne):</label>
                <input class="widefat" id="<?php echo $this->get_field_id('partner'); ?>" name="<?php echo $this->get_field_name('partner'); ?>" type="text" value="<?php echo esc_attr($partner); ?>" />
            </p>
            <p>
                <input class="widefat" id="<?php echo $this->get_field_id('newtab'); ?>" name="<?php echo $this->get_field_name('newtab'); ?>" type="checkbox" value="1"  <?php echo (esc_attr($newtab)? 'selected' : ''); ?> />
                <label for="<?php echo $this->get_field_id('newTab'); ?>">Otwieraj wyniki w nowym oknie</label>

            </p>
        <?php
    }
}

function Domeny_Widget_register_widget()
{
    register_widget('Domeny_Widget');
}

add_action('widgets_init', 'Domeny_Widget_register_widget');
